// Copyright (C) 1999-2014
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#ifndef __colorbarpseudocolor8_h__
#define __colorbarpseudocolor8_h__

#include "colorbarpseudocolor.h"

// Colomap(s) will contain a variable number of color cells, based on 
// available color cells and if a private Colormap is used.

class ColorbarPseudoColor8 : public ColorbarPseudoColor {
private:
  void ximageToPixmap();
  void ximageToPixmapHorz();
  void ximageToPixmapVert();

public:
  ColorbarPseudoColor8(Tcl_Interp*, Tk_Canvas, Tk_Item*);
};

#endif
